Get Latest Report Date

Provides the latest date for which the performance reports have been processed and can be accessed.

📘

URL: GET /api/v1/latestReportDate

Query Parameters

ParameterDescriptiontypeRequiredPossible Values
advertiserIdId of the advertiserintegerYUnique numeric identifier for the advertiser

Headers


Header NameDescriptionRequiredValues
AuthorizationThe token will provide you the access to the API. It is same for all advertisers you access through the APIYPlease utilize the generated auth_token shared with you at the time of partner onboarding from the Getting Started Guide. This key can be repurposed for SP API access as well.
WM_CONSUMER.IDWe will provide you the consumer ID to access the API. It is same for all advertisers you access through the API.YPlease use the generated ConsumerId shared with you at the time of partner onboarding. Refer to the Getting Started Guide for further explanation on this
WM_SEC.AUTH_SIGNATUREAuth signature as an API keyYUse the signature generator code from Getting Started Guide to generate this value
WM_CONSUMER.intimestampTimestamp for which the auth signature is generated. Use Unix epoch format for the timestampYUse the signature generator code (Getting Started Guide) to generate this value
WM_SEC.KEY_VERSIONWe will provide you with the KEY VERSION to access the API. It is same for all advertisers you access through the APIY1

Sample Request

curl -X GET \ "https://developer.api.us.stg.walmart.com/api-proxy/service/display/api/v1/api/v1/latestReportDate?advertiserId=600001' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer <auth_token>'
--header 'WM_SEC.AUTH_SIGNATURE: **************' \ --header 'WM_SEC.KEY_VERSION: 1' \  --header 'WM_CONSUMER.ID: adfwe-v23-faasd2r-afs-asdfqeff' \ --header 'WM_CONSUMER.intimestamp: 1565309779'

Note: Path is case sensitive across all the applicable URLs

Error Response

FieldDescriptionOptional field/Nullable?TypePossible values
codeCode=failure
Click here for more information about Status Codes and Errors
Nstringfailure
detailsList of error codes associated with the request. Use these codes for programmatic error handling.Narray
messageHigh-level summary of the error, when available. Ystring 
errorsDetailed information about one or more errors, including the affected field (when applicable), error code, and a human-readable description.Yarray<object> 

errors array object details

FieldDescriptionOptional field/Nullable?TypePossible values
fieldJSON field associated with the error. Omitted if the error applies to the request as a whole.Ystring 
errorTypeMachine-readable error code that uniquely identifies the error condition. Applications should use this value for error handling logic.Nstring 
descriptionHuman-readable explanation of the error, including why the request failed and, when possible, how to resolve itNstring 

Response

{ "advertiserId": "600001", "latestReportDate": "2023-08-13 " } 

Did this page help you?